import type { Session, Auth, User } from "../types.js";
type GetSession = (sessionId: string) => Promise<Session>;
export declare const getSessionFunction: (auth: Auth) => GetSession;
type GetSessionUser = (sessionId: string) => Promise<{
    user: User;
    session: Session;
}>;
export declare const getSessionUserFunction: (auth: Auth) => GetSessionUser;
type ValidateSession = (sessionId: string, setSessionCookie: SetSessionCookie) => Promise<Session>;
type SetSessionCookie = (session: Session | null) => void;
export declare const validateSessionFunction: (auth: Auth) => ValidateSession;
type ValidateSessionUser = (sessionId: string, setSessionCookie: SetSessionCookie) => Promise<{
    user: User;
    session: Session;
}>;
export declare const validateSessionUserFunction: (auth: Auth) => ValidateSessionUser;
type GenerateSessionId = () => [string, number, number];
export declare const generateSessionIdFunction: (auth: Auth) => GenerateSessionId;
type CreateSession = (userId: string) => Promise<Session>;
export declare const createSessionFunction: (auth: Auth) => CreateSession;
type InvalidateSession = (sessionId: string) => Promise<void>;
export declare const invalidateSessionFunction: (auth: Auth) => InvalidateSession;
type InvalidateAllUserSessions = (userId: string) => Promise<void>;
export declare const invalidateAllUserSessionsFunction: (auth: Auth) => InvalidateAllUserSessions;
type DeleteDeadUserSessions = (userId: string) => Promise<void>;
export declare const deleteDeadUserSessionsFunction: (auth: Auth) => DeleteDeadUserSessions;
type RenewSession = (sessionId: string, setSessionCookie: SetSessionCookie) => Promise<Session>;
export declare const renewSessionFunction: (auth: Auth) => RenewSession;
export {};
